# $Revision: 1.30 $, $Date: 2006/04/24 09:19:02 $
%include	/usr/lib/rpm/macros.php
%define		_class		Net
%define		_subclass	UserAgent
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}_Detect

Summary:	%{_pearname} - determines the Web browser
Summary(pl):	%{_pearname} - identyfikuje przegldark
Name:		php-pear-%{_pearname}
Version:	2.2.0
Release:	1
Epoch:		0
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	87217ac170577bc02cbb99094d1a9a80
URL:		http://pear.php.net/package/Net_UserAgent_Detect/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-common >= 3:4.1.0
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Net_UserAgent object does a number of tests on an HTTP User-Agent
string. The results of these tests are available via methods of the
object. This module is based upon the JavaScript browser detection
code available at
http://www.mozilla.org/docs/web-developer/sniffer/browser_type.html.
This module had many influences from the lib/Browser.php code in
version 1.3 of Horde.

In PEAR status of this package is: %{_status}.

%description -l pl
Obiekt Net_UserAgent wykonuje wiele testw na polu User-Agent z
nagwka HTTP. Wyniki tych testw s dostpne poprzez metody obiektu.
Ten modu zosta stworzony na podstawie kodu do wykrywania
przegldarek z poziomu JavaScriptu, dostpnego pod adresem
http://www.mozilla.org/docs/web-developer/sniffer/browser_type.html.
Ten modu ma take wiele wpyww z kodu lib/Browser.php z Horde w
wersji 1.3.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%dir %{php_pear_dir}/%{_class}/%{_subclass}
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/%{_subclass}/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_UserAgent_Detect.spec,v $
Revision 1.30  2006/04/24 09:19:02  adamg
- updated to 2.2.0

Revision 1.29  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.28  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.27  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.26  2005/10/27 19:07:14  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.25  2005/10/05 20:59:19  glen
- rel 2

Revision 1.24  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.23  2005/09/29 00:17:11  glen
- new pear packaging

Revision 1.22  2005/05/04 19:51:57  adamg
- updated to 2.1.0

Revision 1.21  2004/12/04 13:21:59  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.20  2004/05/30 13:13:51  adamg
- fixed english information about status of the package

Revision 1.19  2004/03/15 17:44:31  ankry
- massive cosmetics

Revision 1.18  2004/03/12 22:14:39  adamg
- updated to 2.0.1

Revision 1.17  2004/03/04 07:48:32  adamg
- updated to 2.0

Revision 1.16  2004/03/03 23:01:55  adamg
- updated to 1.1 (NOTE: Breaks BC)

Revision 1.15  2003/10/07 20:56:03  adamg
- do not use macros in URL

Revision 1.14  2003/08/31 20:49:11  adamg
- more specific URL

Revision 1.13  2003/05/28 08:58:46  adamg
- massive attack: added source0-md5

Revision 1.12  2003/05/25 06:25:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/02/24 15:39:26  blues
- added status info

Revision 1.10  2002/10/14 23:50:11  misto
- new rpm-php-requires/provides scripts
- release 5

Revision 1.9  2002/09/01 12:20:58  blues
- release 4 - fix in macros - STBR

Revision 1.8  2002/07/12 23:58:46  blues
- release 3 (rebuild with new rpm)

Revision 1.7  2002/07/12 11:32:19  blues
- removed not neccessary provides

Revision 1.6  2002/07/08 00:47:53  blues
- new one requires

Revision 1.5  2002/07/04 22:45:09  blues
- release 2

Revision 1.4  2002/06/30 22:18:29  blues
- small fix

Revision 1.3  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.2  2002/06/30 12:24:58  qboosh
- pl description

Revision 1.1  2002/06/29 11:25:06  blues
- initial release
